=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::ManifestsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ManifestsApi' do
  before do
    # run before each test
    @instance = Shippo::ManifestsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ManifestsApi' do
    it 'should create an instance of ManifestsApi' do
      expect(@instance).to be_instance_of(Shippo::ManifestsApi)
    end
  end

  # unit tests for create_manifest
  # Create a new manifest
  # Creates a new manifest object.
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [ManifestRequest] :body Manifest details and contact info.
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Manifest]
  describe 'create_manifest test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_manifest
  # Retrieve a manifest
  # Retrieve an existing manifest by object id.
  # @param merchant_id description: Object ID of the merchant
  # @param manifest_id description: Object ID of the manifest to update
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Manifest]
  describe 'get_manifest test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_manifest
  # List all manifests
  # List all manifest objects.
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @option opts [Integer] :page description: The page number you want to select
  # @option opts [Integer] :results description: The number of results to return per page (max 100)
  # @return [PaginatedManifestResponse]
  describe 'list_manifest test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
